FAI 正在参加 2020 年度 OSC 中国开源项目评选,请投票支持!
FAI 在 2020 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
投票让它出道
已投票
FAI 获得 2020 年度 OSC 中国开源项目评选「最佳人气项目」 !
FAI 获得 2020 年度 OSC 中国开源项目评选「最佳人气项目」「最积极运营项目」 !
FAI 获得 2020 年度 OSC 中国开源项目评选「最积极运营项目」 !

软件简介

FAI (Fully Automatic Installation) 是一个无交互的 Linux 系统自动安装工具,可对安装过程进行预先定制、软件配置管理、虚拟机和 chroot 环境配置,适合用来安装大规模的架构和集群。

展开阅读全文

评论 (0)

加载中
更多评论
暂无内容
发表于DevOps专区
2014/09/23 15:47

fai 安装debian

遇到好多坑,这么简单的东西,花了2天时间,真是折腾。先讲下需要安装的东西。我的网络是两个网卡(虚拟机),其中一个是可以上外网的,连接在vmware的 nat网段。还有一个是192.168.231.0/24这个网段,这个网段是不需要上外网的,属于内部网络,实验中需要新装操作系统的机器就在这个网段。 dhcp服务 apt-get install isc-dhcp-server 安装完成后,修改下/etc/dhcp/dhcpd.conf (我还修改了/etc/hosts 加入了 faiserver 对应的...

4
0
发表了博客
2013/08/27 18:46

apache winnt_accept: Asynchronous AcceptEx fai...

[Thu May 30 10:33:31.148293 2013] [mpm_winnt:warn] [pid 8072:tid 1756] (OS 64)指定的网络名不再可用。 : AH00341: winnt_accept: Asynchronous AcceptEx failed. 已经可以解决了, 我翻阅了xampp官方的配置文档, 发现如下信息: # XAMPP: We disable operating system specific optimizations for a listening # socket by the http protocol here. IE 64 bit make problems without this. 理解为关闭系统监听, 浏览器监听等...

0
1
发表了博客
2019/04/30 17:19

debian9自动化部署Fully Automatic Installation(FAI)

debian9自动化部署Fully Automatic Installation(FAI) FAI是debian wiki推荐的自动化部署工具https://wiki.debian.org/FAI,FAI官网网址为http://fai-project.org 准备工作:已部署好的debian9,使用的版本为debian9.6.0。主机ip地址:192.168.1.99 配置FAI软件仓库 root@fai-server:~# vim /etc/apt/sources.list 联网的情况下使用国内软件仓库,这边使用国内中科大debian仓库: 以下为sources.list中的内容 deb https://mi...

0
0
发表了博客
2012/04/13 18:09

利用Eclipse打包混淆时报:Conversion to Dalvik format fai...

我是一个Android菜鸟,自己学习android,有时候遇到问题总是云里雾里,看吧!今天又遇到了让人喊冤的问题。直至解决了问题仍不知道原因,反正就这么着了。。。 想用proguard混淆代码,却没料到Eclipse打包时报错:Conversion to Dalvik format failed with error 1。 我了! 而后GOOGLE、BAIDU、各大论坛苦苦寻觅,仍未说到关键,方法都差不多,可试过之后都不行,直至看到了这样一段:在android-sdk安装路径\tools\proguard\b...

0
0
发表了博客
2018/03/25 16:12

samtools faidx输出的fai文件格式解析 | fasta转bed | fasta to bed

fai示例: Sc0000003 2774837 10024730 60 61 Sc0000004 2768176 12845826 60 61 Sc0000005 2756750 15660150 60 61 Sc0000006 2627294 18462857 60 61 Sc0000007 2472379 21133951 60 61 Sc0000008 2452568 23647548 60 61    NAME  Name of this reference sequence LENGTH  Total length of this re...

0
0
发表了博客
2016/12/01 10:23

【错误】:Could not open JDBC Connection for transaction; nested exception is: Communications link fai...

# #错误日志 2016-11-10 16:19:20,834 ERROR [org.quartz.core.JobRunShell] - Job DEFAULT.jobtask threw an unhandled Exception: org.springframework.scheduling.quartz.JobMethodInvocationFailedException: Invocation of method 'execute' on target class [class com.zsxh.enrol.job.TaskJob] failed; nested exception is org.springframework.transaction.CannotCreateTransactionException: Could not open JDBC C...

0
0
发表了博客
2016/12/01 10:31

【错误】:Could not open JDBC Connection for transaction; nested exception is: Communications link fai...

# #错误日志 2016-11-10 16:19:20,834 ERROR [org.quartz.core.JobRunShell] - Job DEFAULT.jobtask threw an unhandled Exception: org.springframework.scheduling.quartz.JobMethodInvocationFailedException: Invocation of method 'execute' on target class [class com.zsxh.enrol.job.TaskJob] failed; nested exception is org.springframework.transaction.CannotCreateTransactionException: Could not open JDBC C...

0
0
发表了博客
2018/06/14 16:35

pip install torch on windows, and the 'from torch._C import * ImportError: DLL load fai...

通过pip安装PyTorch 0.4.0成功(cpu, not gpu; python3.5; pip): pip3 install http://download.pytorch.org/whl/cpu/torch-0.4.0-cp35-cp35m-win_amd64.whl pip3 install torchvision 但是import时报错。 import torch File "D:\Python\Python36\lib\site-packages\torch\__init__.py", line 78, in <module> from torch._C import * ImportError: DLL load failed: 找不到指定的模块。 解决: Download win-64/intel-openmp-2...

0
0
发表了博客
2011/06/10 00:20

ADT安装好在Eclipse后运行模型Android提示Re-installation fai...

提示: Re-installation failed due to different application signatures. 解决方案 我在网上找到很多,说什么可以直接在真机中删除该程序,重新执行即可,或在shell中直接adb uninstall <package name>后重新安装。我一直不明白这句是什么意思。这时我就按adb unistall 是什么意思在google内查找,结果认我想出来了. 但 package name 又是什么呢. 这时我想到AndroidManifest.xml的配置文件内有这个参数 <?xml version="1.0" en...

0
1
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
暂无内容
0 评论
13 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部